Bug 529691 - ARST argentina summer time DST is not needed this year.
Summary: ARST argentina summer time DST is not needed this year.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tzdata
Version: 11
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Petr Machata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-19 14:22 UTC by Matias Kreder
Modified: 2015-05-05 01:34 UTC (History)
4 users (show)

Fixed In Version: 2009o-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-21 00:46:53 UTC
Type: ---


Attachments (Terms of Use)

Description Matias Kreder 2009-10-19 14:22:29 UTC
Description of problem:

All Fedora computers changed to ARST (Argentina Summer Time) but unfortunately, 2 days before the change our president decided that we are not going to change to summer time this year. ARST is -2, we have to remove ARST from the tzdata in order to be on ART -3.
 
Version-Release number of selected component (if applicable):
tzdata-2009m-2.fc11.noarch


How reproducible:
Always

Steps to Reproduce:
1. Install Fedora
2. Configure Argentina zone
3. 
  
Actual results:
[matias@mirror ~]$ date
Mon Oct 19 12:17:13 ARST 2009


Expected results:
Mon Oct 19 11:17:13 ART 2009

Additional info:

Comment 1 Matias Kreder 2009-10-19 14:27:09 UTC
http://www.lanacion.com.ar/nota.asp?nota_id=1187055

Comment 2 Matias Kreder 2009-10-19 14:37:33 UTC
DST won't be applicable to any region of the country

Buenos_Aires    Cordoba   Mendoza       San_Juan  Ushuaia
Catamarca       Jujuy     Rio_Gallegos  San_Luis
ComodRivadavia  La_Rioja  Salta         Tucuman

Comment 3 Fedora Update System 2009-10-19 16:13:20 UTC
tzdata-2009o-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/tzdata-2009o-1.fc11

Comment 4 Petr Machata 2009-10-19 16:15:21 UTC
(Despite the release of 1, this update already includes the patch necessary for latest Argentina DST change.)

Comment 5 Matias Kreder 2009-10-19 17:21:40 UTC
Petr, it's ok after installing tzdata-2009o-1.fc11.noarch. Thanks

Comment 6 Fedora Update System 2009-10-21 00:46:42 UTC
tzdata-2009o-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 roberto.mtz 2009-10-21 19:04:05 UTC
	
There is a tzdata RPM for RHEL 4?

Comment 8 Petr Machata 2009-10-22 08:21:53 UTC
The updated package for RHEL 4 is on QA right now.

Comment 9 Jeff Moe (jebba) 2009-10-23 17:29:06 UTC
Looks foo to me still. I didn't change anything with system-config-date.


# rpm -q tzdata
tzdata-2009o-1.fc11.noarch

# date
Fri Oct 23 15:26:54 ARST 2009

# ntpdate time.mit.edu
23 Oct 15:27:02 ntpdate[27824]: adjust time server 18.7.21.144 offset 0.011945 sec

I did a yum update too.

Brilliant move by the government to decide this two days before the change, eh?

Comment 10 Petr Machata 2009-10-26 12:56:37 UTC
(In reply to comment #9)
Perhaps your update failed for some reason.  Can you try:
# rpm -V tzdata

If it passes (no output), then:
# tzdata-update 
(which should copy the data file of your timezone over to /etc/localtime)

And see if it helps?

Comment 11 Jeff Moe (jebba) 2009-12-01 18:54:19 UTC
Ah, as (late) follow up, all is OK. Thx.


Note You need to log in before you can comment on or make changes to this bug.